## org.eclipse.jst.ws.annotations.core.processor
Class AbstractAnnotationProcessor

    java.lang.Object
      org.eclipse.jst.ws.annotations.core.processor.AbstractAnnotationProcessor

All Implemented Interfaces:
  com.sun.mirror.apt.AnnotationProcessor

    public abstract class AbstractAnnotationProcessor

extends java.lang.Object
implements com.sun.mirror.apt.AnnotationProcessor

Abstract base class for processors contributed to the `org.eclipse.jst.ws.annotations.core.annotationProcessor` extension point.

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Method Summary
`abstract void` `process()` Process all program elements supported by this annotation processor.
`void` `setAnnotationProcessorEnvironment(com.sun.mirror.apt.AnnotationProcessorEnvironment environment)` Set the `AnnotationProcessorEnvironment` environment to use during processing.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### setAnnotationProcessorEnvironment

    public void setAnnotationProcessorEnvironment(com.sun.mirror.apt.AnnotationProcessorEnvironment environment)

  Set the `AnnotationProcessorEnvironment` environment to use during processing.

  Parameters:
    `environment` - the annotation processor environment.

### process

    public abstract void process()

  Process all program elements supported by this annotation processor.

  Specified by:
    `process` in interface `com.sun.mirror.apt.AnnotationProcessor`
  See Also:
    `AnnotationProcessor`